<?php
$bt="关注陌生人";
include("../conn.php");
include("../head.php");
include_once("../function.php");
$time=time();
$sid = sqlstr($_COOKIE['dl']);
$uin=mysql_fetch_array(mysql_query("select * from user where sid='$sid'"));
$id=$uin['id'];
if(!$uin){
header("Location:../login.php");
exit;//没登录就跳转到登录页面
}
$bid=sqlstr($_GET["id"]);
$uinfo=mysql_fetch_array(mysql_query("select * from user where id='$bid'"));
$name=$uinfo["name"];
if($id==$bid || $bid==null){
header("Location:/m/diary/index.php");
exit;//自己的id就回到首页
}
echo <<<htm
<div class="hui"><div class="zuo"><a href="/m/diary/diary.php">流年时刻</a></div><div class="you">感兴趣的陌生人 | <a href="/m/diary/index.php">返回</a></div></div>
htm;
if(mysql_fetch_array(mysql_query("select * from att where fid='$id' and bid='$bid'"))){
echo'<div id=main>
<br/>　　<font color="red">感兴趣失败</font>，你已经对陌生人 <font color="red">'.$name.'</font> 写的日记感兴趣了<br/>　　请不要反复感兴趣啦，此结果可能是你点击了返回或者网络缓慢造成的。<br/><br/>　　<a href="/m/diary/diary.php">返回 流年时刻</a><br/><br/></div>';
}else{
if(mysql_query("INSERT INTO att(fid,bid,time) VALUES ('$id', '$bid', '$time')")){
echo'<div id=main>
<br/>　　此刻开始，你对陌生人 <font color="red">'.$name.'</font> 写的日记感兴趣<br/>　　你可以随时关注对方写的新日记，当然，只能看到对方公开的日记。<br/><br/>　　<a href="/m/diary/diary.php">返回 流年时刻</a><br/><br/></div>';
}else{
echo'<div id=main>
<br/>对不起，虽然你对陌生人 <font color="red">'.$name.'</font> 写的日记感兴趣，但程序好像出小差了，给站长反应一下？<br/><br/>　　<a href="/m/diary/diary.php">返回 流年时刻</a><br/><br/></div>';
}
}

?>
<?php include("../footer.php"); ?>